Bug 32419 - [PATCH] Update amanda[-server|-client] to 2.4.3b1
Summary: [PATCH] Update amanda[-server|-client] to 2.4.3b1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: jeh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2001-12-01 03:20 UTC by John Merryweather Cooper
Modified: 2001-12-03 13:30 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (616 bytes, patch)
2001-12-01 03:20 UTC, John Merryweather Cooper
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Merryweather Cooper 2001-12-01 03:20:00 UTC
	Upgrade amanda to 2.4.3b1 (released today).  This might be a
	time to retire /misc/amanda and get rid of the version numbers
	in the port names--instead using amanda-server and amanda-client.
	But that will be the maintainer/committer's call.

Fix: Patch comes in two sections--one for amanda-server and one for
	amanda-client:

	======================= begin amanda-server ====================

Summary of files that have changed in amanda-server:

 'amanda-server/Makefile'       |    0 
 'amanda-server/distinfo'       |    0 
 'amanda-server/files/patch-ab' |    0 
 'amanda-server/files/patch-ac' |    0 
 ./Makefile                     |   17 ++++++++---------
 ./distinfo                     |    2 +-
 ./files/patch-ab               |   14 +++++++-------
 ./files/patch-ac               |   15 +++++++--------
 8 files changed, 23 insertions(+), 25 deletions(-)

Patch for amanda-server generated by makepatch -nomanifest -diff
"diff -u" amanda24-server amanda-server (see textproc/makepatch):

# This is a patch for amanda24-server to update it to amanda-server
# 
# To apply this patch:
# STEP 1: Chdir to the source directory.
# STEP 2: Run the 'applypatch' program with this patch file as input.
#
# If you do not have 'applypatch', it is part of the 'makepatch' package
# that you can fetch from the Comprehensive Perl Archive Network:
# http://www.perl.com/CPAN/authors/Johan_Vromans/makepatch-x.y.tar.gz
# In the above URL, 'x' should be 2 or higher.
#
# To apply this patch without the use of 'applypatch':
# STEP 1: Chdir to the source directory.
# STEP 2: Run the 'patch' program with this file as input.
#
#### End of Preamble ####

#### Patch data follows ####
#### ApplyPatch data follows ####
# Data version        : 1.0
# Date generated      : Fri Nov 30 18:58:34 2001
# Generated by        : makepatch 2.00
# Recurse directories : Yes
# p 'Makefile' 4350 1007175047 0100644
# p 'distinfo' 63 1007169635 0100644
# p 'files/patch-ab' 400 1007172651 0100644
# p 'files/patch-ac' 396 1007173033 0100644
#### End of ApplyPatch data ####

#### End of Patch kit [created: Fri Nov 30 18:58:34 2001] ####
#### Checksum: 153 4869 40807 ####


	====================== begin amanda-client =====================

Summary of files that have changed in amanda-client:

 'amanda-client/Makefile' |    0 
 ./Makefile               |    5 ++---
 2 files changed, 2 insertions(+), 3 deletions(-)

Patch for amanda-client generated by makepatch -nomanifest -diff
"diff -u" amanda24-client amanda-client (see textproc/makepatch):

# This is a patch for amanda24-client to update it to amanda-client
# 
# To apply this patch:
# STEP 1: Chdir to the source directory.
# STEP 2: Run the 'applypatch' program with this patch file as input.
#
# If you do not have 'applypatch', it is part of the 'makepatch' package
# that you can fetch from the Comprehensive Perl Archive Network:
# http://www.perl.com/CPAN/authors/Johan_Vromans/makepatch-x.y.tar.gz
# In the above URL, 'x' should be 2 or higher.
#
# To apply this patch without the use of 'applypatch':
# STEP 1: Chdir to the source directory.
# STEP 2: Run the 'patch' program with this file as input.
#
#### End of Preamble ####

#### Patch data follows ####


#### ApplyPatch data follows ####
# Data version        : 1.0
# Date generated      : Fri Nov 30 18:58:54 2001
# Generated by        : makepatch 2.00
# Recurse directories : Yes
# p 'Makefile' 443 1007174931 0100644
#### End of ApplyPatch data ####

#### End of Patch kit [created: Fri Nov 30 18:58:54 2001] ####
#### Checksum: 49 1609 58106 ####--Qv9zS4xLFjnfP2GcYEN9WEERktxaP4IfzkvuKcFhPWKVIKF0
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -u 'amanda24-server/Makefile' 'amanda-server/Makefile'
Index: ./Makefile
--- ./Makefile	Tue May  8 19:52:54 2001
+++ ./Makefile	Fri Nov 30 18:50:47 2001
@@ -2,12 +2,11 @@
 # Date created:				28th Feb 1995
 # Whom:					gpalmer
 #
-# $FreeBSD: ports/misc/amanda24-server/Makefile,v 1.44 2001/05/09 02:52:54 jeh Exp $
+# $FreeBSD$
 #
 
 PORTNAME?=	${MASTERPORTNAME}
-PORTVERSION=	2.4.2p2
-PORTREVISION?=	1
+PORTVERSION=	2.4.3b1
 CATEGORIES=	misc
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	amanda
@@ -16,8 +15,8 @@
 MAINTAINER=	jeh@FreeBSD.org
 
 WRKSRC=		${WRKDIR}/amanda-${PORTVERSION}
-SLAVEDIRS=	misc/amanda24-client
-MASTERPORTNAME=	amanda24-server
+SLAVEDIRS=	misc/amanda-client
+MASTERPORTNAME=	amanda-server
 
 NO_LATEST_LINK=	yes
 USE_GMAKE=	yes
@@ -27,7 +26,7 @@
 PATCH_STRIP=
 
 .include <bsd.port.pre.mk>
-# amanda24-server part
+# amanda-server part
 .if !defined(CLIENT_ONLY)
 
 pre-fetch:
@@ -46,8 +45,8 @@
 	@${ECHO} "        The default is user"
 	@${ECHO} ""
 
-RUN_DEPENDS=	${LOCALBASE}/sbin/amrecover:${PORTSDIR}/misc/amanda24-client
-BUILD_DEPENDS=	${LOCALBASE}/sbin/amrecover:${PORTSDIR}/misc/amanda24-client
+RUN_DEPENDS=	${LOCALBASE}/sbin/amrecover:${PORTSDIR}/misc/amanda-client
+BUILD_DEPENDS=	${LOCALBASE}/sbin/amrecover:${PORTSDIR}/misc/amanda-client
 
 CONFIGURE_ARGS=	--libexecdir=${PREFIX}/libexec/amanda \
 		--with-amandahosts --with-fqdn \
@@ -101,7 +100,7 @@
 PLIST_SUB+=	SCSICHG='@comment '
 .endif
 
-# amanda24-client part
+# amanda-client part
 .else
 
 pre-fetch:
diff -u 'amanda24-server/distinfo' 'amanda-server/distinfo'
Index: ./distinfo
--- ./distinfo	Tue Apr 24 17:20:05 2001
+++ ./distinfo	Fri Nov 30 17:20:35 2001
@@ -1 +1 @@
-MD5 (amanda-2.4.2p2.tar.gz) = f8f66a5a86df588f467db9997cce6764
+MD5 (amanda-2.4.3b1.tar.gz) = 97eb282d51c820f138d62492d7fffcd0
diff -u 'amanda24-server/files/patch-ab' 'amanda-server/files/patch-ab'
Index: ./files/patch-ab
--- ./files/patch-ab	Sun Feb 11 19:13:12 2001
+++ ./files/patch-ab	Fri Nov 30 18:10:51 2001
@@ -1,12 +1,12 @@
---- common-src/Makefile.in.orig	Fri Jan 26 14:28:17 2001
-+++ common-src/Makefile.in	Thu Feb  8 06:51:25 2001
-@@ -481,7 +481,8 @@
- check: check-am
- installcheck-am:
- installcheck: installcheck-am
+--- common-src/Makefile.in	Fri Nov 30 11:33:48 2001
++++ common-src/Makefile.in.new	Fri Nov 30 18:03:29 2001
+@@ -611,7 +611,8 @@
+ 
+ install-data-am:
+ 
 -install-exec-am: install-libLTLIBRARIES
 +@WANT_CLIENT_TRUE@install-exec-am: @WANT_CLIENT_TRUE@install-libLTLIBRARIES
 +@WANT_SERVER_TRUE@install-exec-am:
- install-exec: install-exec-am
  
- install-data-am:
+ install-info:
+ 
diff -u 'amanda24-server/files/patch-ac' 'amanda-server/files/patch-ac'
Index: ./files/patch-ac
--- ./files/patch-ac	Sun Feb 11 19:13:12 2001
+++ ./files/patch-ac	Fri Nov 30 18:17:13 2001
@@ -1,12 +1,15 @@
---- tape-src/Makefile.in.orig	Fri Jan 26 14:28:19 2001
-+++ tape-src/Makefile.in	Sun Feb 11 21:18:00 2001
-@@ -353,7 +353,8 @@
- check: check-am
- installcheck-am:
- installcheck: installcheck-am
--install-exec-am: install-libLTLIBRARIES
-+@WANT_CLIENT_TRUE@install-exec-am: @WANT_CLIENT_TRUE@install-libLTLIBRARIES
-+@WANT_SERVER_TRUE@install-exec-am:
- install-exec: install-exec-am
+--- tape-src/Makefile.in	Fri Nov 30 11:33:56 2001
++++ tape-src/Makefile.in.new	Fri Nov 30 18:16:35 2001
+@@ -524,7 +524,11 @@
  
  install-data-am:
+ 
+-install-exec-am: install-libLTLIBRARIES install-sbinPROGRAMS
++@WANT_CLIENT_TRUE@install-exec-am: @WANT_CLIENT_TRUE@install-libLTLIBRARIES \
++	install-sbinPROGRAMS
++	@$(NORMAL_INSTALL)
++	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
++@WANT_SERVER_TRUE@install-exec-am: install-sbinPROGRAMS
+ 	@$(NORMAL_INSTALL)
+ 	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
+ 
#### End of Patch data ####
How-To-Repeat: 	N/A
Comment 1 jeh freebsd_committer 2001-12-01 15:40:00 UTC
Responsible Changed
From-To: freebsd-ports->jeh

Over to maintainer.
Comment 2 jeh freebsd_committer 2001-12-03 13:29:49 UTC
State Changed
From-To: open->closed

Committed.  Thanks.